package kandata.launcher;

import java.awt.event.ActionEvent;
import javax.swing.*;

/** 新しいサイトを登録します. */
class NewSiteAction extends AbstractAction {
	KandataLauncher launcher;
	NewSiteAction(KandataLauncher launcher) {
		super("新しいサイトの登録...");
		putValue(SMALL_ICON, ApplicationResources.loadIcon("plus.png"));
		//putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_ENTER, Event.SHIFT_MASK));
		putValue(SHORT_DESCRIPTION, "新しいサイトの登録...");
		this.launcher = launcher;
	}
	/** アクションが発生すると呼び出されます。 */
	public void actionPerformed(ActionEvent e) {
		launcher.newSite();
	}
}
